## com.sun.appserv.util.cache.mbeans
Interface JmxBoundedMultiLruCacheMBean

All Superinterfaces:
  JmxBaseCacheMBean, JmxMultiLruCacheMBean

All Known Implementing Classes:
  JmxBoundedMultiLruCache

    public interface JmxBoundedMultiLruCacheMBean

extends JmxMultiLruCacheMBean

This interface defines the attributes exposed by the MultiLruCache MBean

Author:
  Krishnamohan Meduri (Krishna.Meduri@Sun.com)

Method Summary
`Long` `getCurrentSize()` Returns the current size of the cache in bytes
`Long` `getMaxSize()` Returns the upper bound on the cache size

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxMultiLruCacheMBean
`getSegmentListLength, getSegmentSize, getTrimCount`

Methods inherited from interface com.sun.appserv.util.cache.mbeans.JmxBaseCacheMBean
`getAddCount, getEntryCount, getHitCount, getMaxEntries, getMissCount, getName, getOverflowCount, getRefreshCount, getRemovalCount, getTableSize, getThreshold`

Method Detail

### getCurrentSize

    Long getCurrentSize()

  Returns the current size of the cache in bytes

### getMaxSize

    Long getMaxSize()

  Returns the upper bound on the cache size

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.